> For the complete documentation index, see [llms.txt](https://docs.onyx.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onyx.org/reference/contracts.md).

# Smart Contract Addresses

These addresses were rechecked against public RPC bytecode and relevant public APIs on 2026-07-14. Reverify before a production integration. Each address is shown as inline code for easy copying and links directly to its explorer page.

| Contract                | Address                                                                                                                      |
| ----------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| Wrapped XCN (WXCN)      | [`0x1a0Da75ADf091a69E7285e596bB27218D77E17a9`](https://explorer.onyx.org/address/0x1a0Da75ADf091a69E7285e596bB27218D77E17a9) |
| Uniswap V2 Factory      | [`0x008c99EedA17E193e5F788536234C6b3520B8D15`](https://explorer.onyx.org/address/0x008c99EedA17E193e5F788536234C6b3520B8D15) |
| Uniswap V2 Router02     | [`0xa973c5626eEaF7F482439753953e9B28C6aF3674`](https://explorer.onyx.org/address/0xa973c5626eEaF7F482439753953e9B28C6aF3674) |
| Bridged ETH             | [`0x9253587505c3B7E7b9DEE118AE1AcB53eEC0E4b6`](https://explorer.onyx.org/address/0x9253587505c3B7E7b9DEE118AE1AcB53eEC0E4b6) |
| Bridged USDC            | [`0xC8410270bb53f6c99A2EFe6eD3686a8630Efe22B`](https://explorer.onyx.org/address/0xC8410270bb53f6c99A2EFe6eD3686a8630Efe22B) |
| XCN/USDC LP             | [`0x57541cC904E863d6CBEe5Dbe5F55aCA799BC0e9F`](https://explorer.onyx.org/address/0x57541cC904E863d6CBEe5Dbe5F55aCA799BC0e9F) |
| ETH/USDC LP             | [`0x6dc9C9E36a19a57A6cbe9E724a74bD4d98D2EE12`](https://explorer.onyx.org/address/0x6dc9C9E36a19a57A6cbe9E724a74bD4d98D2EE12) |
| BridgeMint              | [`0x1d14ae13ca030eb5e9e2857e911af515cf5ffff2`](https://explorer.onyx.org/address/0x1d14ae13ca030eb5e9e2857e911af515cf5ffff2) |
| StakedXCNDirect (stXCN) | [`0xA553a603e2f84fEa6c1fc225E0945FE176C72F74`](https://explorer.onyx.org/address/0xA553a603e2f84fEa6c1fc225E0945FE176C72F74) |
| Ethereum BridgeLock     | [`0xa9fd64b5095d626f5a3a67e6db7fb766345f8092`](https://etherscan.io/address/0xa9fd64b5095d626f5a3a67e6db7fb766345f8092)      |
| Ethereum XCN            | [`0xA2cd3D43c775978A96BdBf12d733D5A1ED94fb18`](https://etherscan.io/address/0xA2cd3D43c775978A96BdBf12d733D5A1ED94fb18)      |
| Ethereum USDC           | [`0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48`](https://etherscan.io/address/0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48)      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.onyx.org/reference/contracts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
